Bug 1016751 - Helper methods for Java transformer
Helper methods for Java transformer
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Keith Babo
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 11:48 EDT by Tomas Rohovsky
Modified: 2018-03-29 17:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1763 Major Open Helper methods for Java transformer 2014-07-24 15:38:59 EDT

  None (edit)
Description Tomas Rohovsky 2013-10-08 11:48:28 EDT
Description of problem:

Java transformation from/to XML mostly requires helper methods like getElementValue, toElement as you can see in many quickstarts. It would be nice to have some helper class or super class that will provide such boilerplate methods. I can imagine, that there could be more useful methods like these.
Comment 1 JBoss JIRA Server 2013-10-09 06:59:07 EDT
Tomas Rohovsky <trohovsk@redhat.com> made a comment on jira SWITCHYARD-1763

Instead of toElement can be used XMLHelper.getDocumentFromString(xml).getDocumentElement(). However it will be good to have XMLHelper.toElement(xml), since it is used pretty often. I have not found equivalent of getElementValue in XMLHelper.
Comment 2 Keith Babo 2013-11-01 09:46:29 EDT
Post 6.0

Note You need to log in before you can comment on or make changes to this bug.